##
##  tmuxp.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_tmuxp    1.15.0
%define       V_libtmux  0.15.2

#   package information
Name:         tmuxp
Summary:      Terminal Multiplexer Utility
URL:          https://tmuxp.git-pull.com/
Vendor:       Tony Narlock
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Terminal
License:      BSD
Version:      %{V_tmuxp}
Release:      20220918

#   list of sources
Source0:      https://github.com/tony/libtmux/archive/v%{V_libtmux}.tar.gz
Source1:      https://github.com/tony/tmuxp/archive/v%{V_tmuxp}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, python
PreReq:       OpenPKG, openpkg >= 20160101, python
BuildPreReq:  python-setup
PreReq:       python-setup

%description
    tmuxp(1) is a session manager for tmux(1), the terminal multiplexing
    utility. It is internally based on libtmux.

%track
    prog tmuxp:libtmux = {
        version   = %{V_libtmux}
        url       = https://github.com/tony/libtmux/releases
        regex     = v(\d+\.\d+\.\d+)\.tar\.gz
    }
    prog tmuxp:tmuxp = {
        version   = %{V_tmuxp}
        url       = https://github.com/tony/tmuxp/releases
        regex     = v(\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1

%build

%install
    ( cd libtmux-%{V_libtmux}
      PYTHONPATH=$RPM_BUILD_ROOT%{l_prefix}/lib/python/site-packages \
      HOME=`pwd` \
      %{l_prefix}/bin/pip \
          install \
          --root=$RPM_BUILD_ROOT \
          --prefix=%{l_prefix} \
          .
    ) || exit $?
    ( cd tmuxp-%{V_tmuxp}
      PYTHONPATH=$RPM_BUILD_ROOT%{l_prefix}/lib/python/site-packages \
      HOME=`pwd` \
      %{l_prefix}/bin/pip \
          install \
          --root=$RPM_BUILD_ROOT \
          --prefix=%{l_prefix} \
          .
    ) || exit $?
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

